When an error occurs the system returns an HTTP error response code denoting the type of error and additional information in the fault response body.
The following examples show the XML and JSON response body
for a 404
notFoundError:
Example 3.12. XML Not Found Fault
<?xml version="1.0" encoding="UTF-8"?> <fault><type>notFoundError</type><code>404</code><message>Item not found.<message><details>Error Details...</details> </fault>
Example 3.13. JSON Not Found Fault
{
"type": "notFoundError",
"code": "404",
"message": "Item not found.",
"details": "Error Details..."
}
The following table contains the possible fault types along with their associated error code and description.
| Fault Element | Associated Error Codes | Description |
| badRequest | 400 | The system received an invalid value in a request |
| requiredNotFoundError | 400 | A required related object is not found in the system. |
| invalidLimit | 400 | Invalid limit has been specified. |
| childrenExistError | 400 | The system cannot perform the requested operation due to remaining child objects. Details attribute also contains a "type" field which specified a type of the existing child object. |
| alarmParseError | 400 | Alarm criteria cannot be parsed. Details attribute also contains the following fields: input, error_position, error_line, error_column, error_token, message. |
| invalidKeyPrefix | 400 | Provided key prefix is invalid. |
| agentNotConnected | 400 | Agent Not Connected |
| limitReached | 400 | Limit has been reached. Please contact cmbeta@rackspace.com to increase your limit. |
| rateLimitReached | 400 | Rate limit has been reached. Please wait before trying again. |
| indexCardinalityConstraintViolation | 400 | A resource with the specified index already exists in the system. |
| unauthorizedError | 401 | The system received a request from a user that is not authenticated. |
| forbiddenError | 403 | The system received a request that the user is forbidden to make. |
| missingCapabilitiesError | 403 | The system received a request that the user is not authorized to make. |
| agentFeatureError | 403 | The agent feature is not enabled for this account. Please fill out the survey if you are interested in a preview of this feature: https://surveys.rackspace.com/Survey.aspx?s=54781787ae8f40d5ad81f8eae1e3ace9 |
| notFoundError | 404 | The URL requested is not found in the system. |
| parentNotFoundError | 404 | The parent node requested is not found in the system. |
| checkDoesNotSupportTargets | 404 | The check type does not support targets. |
| requestTimeout | 408 | The system has timed out. Please attempt the request again. |
| requestTooLargeError | 413 | The response body is too large. |
| internalError | 500 | The system suffered an internal failure. |
| notImplementedError | 501 | The request is for a feature that has not yet been implemented. |
| systemFailureError | 503 | The system is experiencing heavy load or another system failure. |

